pkgsrc-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: CVS commit: pkgsrc

Thomas Klausner <> writes:

> On Wed, Jun 13, 2012 at 04:14:22PM +0900, OBATA Akio wrote:
>> It is the primary reason why I want to kill USE_INET6.
> By default, if there is no good reason, inet6 should be in the default
> options. But if you as maintainer decide that inet6 should NOT be in
> the default options, then by all means remove it (perhaps adding a
> comment why it's not in the default options).

Definitely inet6 not being in SUGGESTED needs a comment, but I agree
that it's the maintainer's call if it is believe that enabling v6 will
cause trouble for users.   Following our patch guidelines, there should
be a link to the bug in the upstream tracker that v6 support is wanting

So now that Thomas has added PKG_SUGGESTED_OPTIONS inet6 to all packages
that we know of, I think it's time to drop the legacy binding.  Then we
can fix any issues during the freeze - but problems, if any, should be
limited to IPv6 support going missing from a few packages.

ok to commit this?

--- 2007-01-30 02:09:40.000000000 -0500
+++ 2012-06-13 10:05:27.000000000 -0400
@@ -21,5 +21,3 @@ PKG_LEGACY_OPTIONS+=  kerberos
 PKG_OPTIONS_DEPRECATED_WARNINGS+="Deprecated variable KERBEROS used, use 
PKG_DEFAULT_OPTIONS+=kerberos instead."
 .  endif

Attachment: pgpmKKajRSOI3.pgp
Description: PGP signature

Home | Main Index | Thread Index | Old Index